﻿@model IEnumerable<RoomEscapeCatalog.Models.Room>

@{
    ViewBag.Title = "Admin panel";
}


<div class="admin-panel rooms-container">
    @foreach (var room in Model)
    {
        @DeclarativeHtmlHelpers.RoomCatalogItem(room, true)
    }

    <aside class="btn-float-container">
        @Html.ActionLink(
        "New Room",
        nameof(RoomEscapeCatalog.Controllers.AdminController.AddRoom),
        "Admin",
        routeValues: null,
        htmlAttributes: new {
                @class = "btn btn-warning btn-lg btn-float"
        })
    </aside>
</div>




@section scripts {
    <script>
        $(".btn-delete").click((e) => {
            if (!confirm("Do you really want to delete this room?")) {
                e.preventDefault();
            }
        })
    </script>
}